Bug 830280 - Site http proxy server crashing occasionally in devenv
Site http proxy server crashing occasionally in devenv
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Mike McGrath
libra bugs
: Security, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 13:59 EDT by Clayton Coleman
Modified: 2015-05-14 21:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 12:44:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-06-08 13:59:04 EDT
Occasionally a request will fail when connecting to the devenv.

[Fri Jun 08 13:54:42 2012] [error] [client 127.0.0.1] Premature end of script headers: console, referer: https://ec2-23-20-107-39.compute-1.amazonaws.com/app/login
[ pid=4934 thr=140441917069280 file=ext/apache2/Hooks.cpp:821 time=2012-06-08 13:54:42.314 ]: The backend application (process 3995) did not send a valid HTTP response; instead, it sent nothing at all. It is possible that it has crashed; please check whether there are crashing bugs in this application.

I can't consistently tie this down to a certain URL, but it does happen in the automated tests (libra_web is randomly failing because of it).

Need an Apache expert to help me figure out what to do.
Comment 1 Rob Millner 2012-06-08 17:47:55 EDT
Passing to Mike to help find an Apache expert.  Could this be timeout related?
Comment 2 Clayton Coleman 2012-06-11 15:25:45 EDT
The bulk of times I can remember seeing this is outside of a 3-5 second window since the last click.  It's possible this is related to the keepalive settings in the devenv or the proxy configuration - I don't know if we configure the balancer in the devenv exactly like stage/prod.
Comment 3 John Poelstra 2012-06-19 13:14:37 EDT
Discussed on 2012-06-19 bug review call... We believe this is related to restarting apache.  Not seeign in production, lowering severity.
Comment 4 Clayton Coleman 2012-08-27 18:01:58 EDT
*think* this is related to graceful restarts and the proxy pool being not empty during the graceful.  Want to try using proxy-initial-not-pooled in devenv to see if this resolves the issue, if we can reproduce it.
Comment 5 Mike McGrath 2013-04-16 12:44:45 EDT
Should be long fixed.

Note You need to log in before you can comment on or make changes to this bug.